TaskListsController_show
POST
/api/chat/task-lists
const url = 'https://api.streams.chat/api/chat/task-lists';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"requestId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","streamId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","threadSessionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","replyToMessageId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","heading":"example","source":{"label":"example","url":"example"},"marker":"checkbox","initialVisibleCount":1,"columns":[{"id":"example","label":"example","type":"status"}],"groups":[{"id":"example","label":"example"}],"items":[{"id":"example","title":"example","sourceId":"example","url":"example","groupId":"example","cells":{"additionalProperty":{"type":"status","label":"example","color":"blue"}}}],"state":"ready","empty":{"title":"example","description":"example"},"error":{"title":"example","description":"example"},"action":{"label":"example","prompt":"example"},"labels":{"taskList":"example","itemColumn":"example","summaryAll":"example","groups":"example","columns":"example","showing":"example","showMore":"example","progress":"example","toggleTask":"example","collapseGroup":"example","expandGroup":"example","groupItems":"example","openSource":"example","item":"example","owners":"example","peopleMore":"example","tagsMore":"example","overdue":"example","noValue":"example","checked":"example","unchecked":"example","loading":"example","emptyTitle":"example","errorTitle":"example","unavailable":"example","actionFailed":"example","actionLocked":"example","unsupportedAction":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams.chat/api/chat/task-lists \ --header 'Content-Type: application/json' \ --data '{ "requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "streamId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threadSessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "replyToMessageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "heading": "example", "source": { "label": "example", "url": "example" }, "marker": "checkbox", "initialVisibleCount": 1, "columns": [ { "id": "example", "label": "example", "type": "status" } ], "groups": [ { "id": "example", "label": "example" } ], "items": [ { "id": "example", "title": "example", "sourceId": "example", "url": "example", "groupId": "example", "cells": { "additionalProperty": { "type": "status", "label": "example", "color": "blue" } } } ], "state": "ready", "empty": { "title": "example", "description": "example" }, "error": { "title": "example", "description": "example" }, "action": { "label": "example", "prompt": "example" }, "labels": { "taskList": "example", "itemColumn": "example", "summaryAll": "example", "groups": "example", "columns": "example", "showing": "example", "showMore": "example", "progress": "example", "toggleTask": "example", "collapseGroup": "example", "expandGroup": "example", "groupItems": "example", "openSource": "example", "item": "example", "owners": "example", "peopleMore": "example", "tagsMore": "example", "overdue": "example", "noValue": "example", "checked": "example", "unchecked": "example", "loading": "example", "emptyTitle": "example", "errorTitle": "example", "unavailable": "example", "actionFailed": "example", "actionLocked": "example", "unsupportedAction": "example" } }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
requestId
required
string format: uuid
streamId
required
string format: uuid
threadSessionId
string format: uuid
replyToMessageId
string format: uuid
heading
required
string
source
object
label
required
string
url
string
marker
string
initialVisibleCount
integer
columns
Array<object>
object
id
required
string
label
required
string
type
required
string
groups
Array<object>
object
id
required
string
label
required
string
items
Array<object>
object
id
required
string
title
required
string
sourceId
string
url
string
groupId
string
cells
object
key
additional properties
One of:
object
type
required
string
label
required
string
color
required
string
object
type
required
string
people
required
Array<object>
object
name
required
string
initials
string
object
type
required
string
date
required
string
overdue
boolean
object
type
required
string
from
required
string
to
required
string
object
type
required
string
value
required
number
unit
string
unitPosition
string
object
type
required
string
value
required
number
object
type
required
string
tags
required
Array<object>
object
label
required
string
color
string
object
type
required
string
checked
required
boolean
object
type
required
string
label
required
string
url
required
string
object
type
required
string
text
required
string
state
string
empty
object
title
required
string
description
string
error
object
title
required
string
description
string
action
object
label
required
string
prompt
required
string
labels
object
taskList
string
itemColumn
string
summaryAll
string
groups
string
columns
string
showing
string
showMore
string
progress
string
toggleTask
string
collapseGroup
string
expandGroup
string
groupItems
string
openSource
string
item
string
owners
string
peopleMore
string
tagsMore
string
overdue
string
noValue
string
checked
string
unchecked
string
loading
string
emptyTitle
string
errorTitle
string
unavailable
string
actionFailed
string
actionLocked
string
unsupportedAction
string